
#ifndef _unix_h
#define _unix_h

#ifdef __STDC__
#define NeedFunctionPrototypes  1
#define NeedVarargsPrototypes  1
#endif

#include <math.h>
#include <ctype.h>
#include <stdio.h>
#include <signal.h>
#include <string.h>
#include <sys/stat.h>
#include <sys/param.h>
#include <sys/time.h>

#define round(x)     (((x)>=0.0) ? ((int)((x)+0.5)) : ((int)((x)-0.5)))
#define degTOrad(x)  ((x)*0.0174533)
#define radTOdeg(x)  ((x)*57.295755)

#define ABS(x)   (((x) >= 0.0) ? (x) : -(x))

#endif /* _unix_h */
